flow123d_version: 2.0.0
problem: !Coupling_Sequential
  description: Test4 - Transport 2D-3D (convection, dispersion, diffusion)
  time: &anchor2
    end_time: 3287
    max_dt: 30.437
#   min_dt: 30.437
  mesh:
    mesh_file: ./input/.sit_39_jemna final.msh
    regions:
      - !Union
        name: dirichlet_boundary
        regions:
          - .surface
          - .s_tunnel
          - .base
          - .lateral_wall_up
          - .back_wall_up
          - .f_surface
          - .f_tunnel
          - .f_bottom
          - .f_upper_zone
          - .base
  flow_equation: !Flow_Darcy_MH
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-12
        r_tol: 1.0e-12
    input_fields:
      - region: ALL
        init_pressure: !FieldElementwise
          gmsh_file: ./input/hydraulic.msh
          field_name: pressure_p0
      - region: fracture
        conductivity: 0.00916704
        cross_section: 0.5
        sigma: 1
      - region: 3D_volume_up
        conductivity: 0.0864
        cross_section: 1
        sigma: 1
      - region: 3D_volume_middle
        conductivity: 4.55933e-05
        cross_section: 1
        sigma: 1
      - region: 3D_volume_down
        conductivity: 4.55933e-05
        cross_section: 1
        sigma: 1
      - region: .s_tunnel
        bc_type: dirichlet
        bc_pressure: 0
      - region: .f_tunnel
        bc_type: dirichlet
        bc_pressure: 0
      - region: .f_bottom
        bc_type: dirichlet
        bc_pressure: 320
      - region: .base
        bc_type: dirichlet
        bc_pressure: 320
      - region: .f_upper_zone
        bc_type: dirichlet
        bc_pressure: !FieldFormula
          value: -z
      - region: .lateral_wall_up
        bc_type: total_flux
        bc_flux: 0
      - region: .back_wall_up
        bc_type: dirichlet
        bc_pressure: !FieldFormula
          value: -z                    #################
      - region: .surface
        bc_type: total_flux
        bc_flux: 16.66666667 
      - region: .f_surface
        bc_type: total_flux
        bc_flux: 16.66666667
    output_stream:
      file: tok.msh
      format: !gmsh
        variant: ascii
      times:
        - step: 30.437
      name: flow_output_stream
    output:
      fields:
        - piezo_head_p0
        - pressure_p0
        - pressure_p1
        - velocity_p0
      # raw_flow_output:./raw_output.txt
      # ,
    balance: {}
#    solver: !Petsc
#      r_tol: 1.0e-15
#      a_tol: 1.0e-15
  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_AdvectionDiffusion_DG
      input_fields:
      - region: fracture
        init_conc: -10.40
        porosity: 0.043538
        diff_m: 0.0001474
        disp_t: 1
        disp_l: 5
      - region: 3D_volume_up
        init_conc: -10.40
        porosity: 0.02
        diff_m: 0.000190978
        disp_t: 1
        disp_l: 5
      - region: 3D_volume_middle
        init_conc: -10.40
        porosity: 0.025
        diff_m: 0.000183625
        disp_t: 1
        disp_l: 5
      - region: 3D_volume_down
        init_conc: -10.4
        porosity: 0.025
        diff_m: 0.000183625
        disp_t: 1
        disp_l: 5                    #################### 
      - region: .surface
        bc_type: inflow
        bc_conc: -12.854432 
        time:  11.8333333330665 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -12.854432 
        time:  11.8333333330665
      - region: .surface
        bc_type: inflow
        bc_conc: -14.0025525714286 
        time:  42.2499999997308 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -14.0025525714286 
        time:  42.2499999997308
      - region: .surface
        bc_type: inflow
        bc_conc: -12.8008144516129 
        time:  72.666666666395 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -12.8008144516129 
        time:  72.666666666395
      - region: .surface
        bc_type: inflow
        bc_conc: -12.3474822117595 
        time:  103.083333333059 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -12.3474822117595 
        time:  103.083333333059
      - region: .surface
        bc_type: inflow
        bc_conc: -11.6905595869204 
        time:  134 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -11.6905595869204 
        time:  134
      - region: .surface
        bc_type: inflow
        bc_conc: -5.57035779360784 
        time:  166 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -5.57035779360784 
        time:  166
      - region: .surface
        bc_type: inflow
        bc_conc: -4.12468646852027 
        time:  196 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -4.12468646852027 
        time:  196
      - region: .surface
        bc_type: inflow
        bc_conc: -10.6404676638056 
        time:  227 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -10.6404676638056 
        time:  227
      - region: .surface
        bc_type: inflow
        bc_conc: -6.13210676765423 
        time:  257 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -6.13210676765423 
        time:  257
      - region: .surface
        bc_type: inflow
        bc_conc: -8.9188458113107 
        time:  287 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -8.9188458113107 
        time:  287
      - region: .surface
        bc_type: inflow
        bc_conc: -9.21279740471284 
        time:  318 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -9.21279740471284 
        time:  318
      - region: .surface
        bc_type: inflow
        bc_conc: -11.6032653664313 
        time:  348 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -11.6032653664313 
        time:  348
      - region: .surface
        bc_type: inflow
        bc_conc: -11.9041698879837 
        time:  379 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -11.9041698879837 
        time:  379
      - region: .surface
        bc_type: inflow
        bc_conc: -13.5987169606313 
        time:  410 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -13.5987169606313 
        time:  410
      - region: .surface
        bc_type: inflow
        bc_conc: -11.3829715987431 
        time:  438 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -11.3829715987431 
        time:  438
      - region: .surface
        bc_type: inflow
        bc_conc: -11.222526535563 
        time:  469.5 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -11.222526535563 
        time:  469.5
      - region: .surface
        bc_type: inflow
        bc_conc: -9.12167890765636 
        time:  499 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -9.12167890765636 
        time:  499
      - region: .surface
        bc_type: inflow
        bc_conc: -6.64882295130613 
        time:  530.5 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -6.64882295130613 
        time:  530.5
      - region: .surface
        bc_type: inflow
        bc_conc: -8.28721571751317 
        time:  560 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -8.28721571751317 
        time:  560
      - region: .surface
        bc_type: inflow
        bc_conc: -6.29825297990368 
        time:  591 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -6.29825297990368 
        time:  591
      - region: .surface
        bc_type: inflow
        bc_conc: -9.52325251661152 
        time:  622 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -9.52325251661152 
        time:  622
      - region: .surface
        bc_type: inflow
        bc_conc: -10.0688886546241 
        time:  652.5 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -10.0688886546241 
        time:  652.5
      - region: .surface
        bc_type: inflow
        bc_conc: -11.4503600487176 
        time:  683 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -11.4503600487176 
        time:  683
      - region: .surface
        bc_type: inflow
        bc_conc: -12.8173415378946 
        time:  713.5 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -12.8173415378946 
        time:  713.5
      - region: .surface
        bc_type: inflow
        bc_conc: -10.2830881890076 
        time:  744 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -10.2830881890076 
        time:  744
      - region: .surface
        bc_type: inflow
        bc_conc: -10.4533774586779 
        time:  774.5 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -10.4533774586779 
        time:  774.5
      - region: .surface
        bc_type: inflow
        bc_conc: -11.5138035789674 
        time:  804 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -11.5138035789674 
        time:  804
      - region: .surface
        bc_type: inflow
        bc_conc: -11.2350873881379 
        time:  835.5 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -11.2350873881379 
        time:  835.5
      - region: .surface
        bc_type: inflow
        bc_conc: -9.20653206022641 
        time:  865 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -9.20653206022641 
        time:  865
      - region: .surface
        bc_type: inflow
        bc_conc: -4.75256857428208 
        time:  896.5 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -4.75256857428208 
        time:  896.5
      - region: .surface
        bc_type: inflow
        bc_conc: -7.29354237709142 
        time:  926 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -7.29354237709142 
        time:  926
      - region: .surface
        bc_type: inflow
        bc_conc: -8.18397105920764 
        time:  957.5 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -8.18397105920764 
        time:  957.5
      - region: .surface
        bc_type: inflow
        bc_conc: -11.1722896828893 
        time:  988 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -11.1722896828893 
        time:  988
      - region: .surface
        bc_type: inflow
        bc_conc: -10.1394524497234 
        time:  1018.5 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -10.1394524497234 
        time:  1018.5
      - region: .surface
        bc_type: inflow
        bc_conc: -10.4151066349729 
        time:  1049 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -10.4151066349729 
        time:  1049
      - region: .surface
        bc_type: inflow
        bc_conc: -10.9284495661816 
        time:  1079.5 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -10.9284495661816 
        time:  1079.5
      - region: .surface
        bc_type: inflow
        bc_conc: -14.783984564652 
        time:  1110 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -14.783984564652 
        time:  1110
      - region: .surface
        bc_type: inflow
        bc_conc: -13.2406690253452 
        time:  1141.5 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -13.2406690253452 
        time:  1141.5
      - region: .surface
        bc_type: inflow
        bc_conc: -11.1051153814104 
        time:  1169 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -11.1051153814104 
        time:  1169
      - region: .surface
        bc_type: inflow
        bc_conc: -12.54885323666 
        time:  1199.5 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -12.54885323666 
        time:  1199.5
      - region: .surface
        bc_type: inflow
        bc_conc: -8.90522073389059 
        time:  1230 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -8.90522073389059 
        time:  1230
      - region: .surface
        bc_type: inflow
        bc_conc: -6.3278650381227 
        time:  1261.5 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -6.3278650381227 
        time:  1261.5
      - region: .surface
        bc_type: inflow
        bc_conc: -7.05610711473145 
        time:  1292 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -7.05610711473145 
        time:  1292
      - region: .surface
        bc_type: inflow
        bc_conc: -6.00890372523655 
        time:  1323.5 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -6.00890372523655 
        time:  1323.5
      - region: .surface
        bc_type: inflow
        bc_conc: -7.05955974371151 
        time:  1355 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -7.05955974371151 
        time:  1355
      - region: .surface
        bc_type: inflow
        bc_conc: -10.8458193573045 
        time:  1385.5 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -10.8458193573045 
        time:  1385.5
      - region: .surface
        bc_type: inflow
        bc_conc: -12.2560011420927 
        time:  1417 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -12.2560011420927 
        time:  1417
      - region: .surface
        bc_type: inflow
        bc_conc: -15.5656557054954 
        time:  1447.5 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -15.5656557054954 
        time:  1447.5
      - region: .surface
        bc_type: inflow
        bc_conc: -14.8039422842464 
        time:  1477.9 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -14.8039422842464 
        time:  1477.9
      - region: .surface
        bc_type: inflow
        bc_conc: -15.4350231412662 
        time:  1508.3 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -15.4350231412662 
        time:  1508.3
      - region: .surface
        bc_type: inflow
        bc_conc: -11.0850257167619 
        time:  1538.7 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -11.0850257167619 
        time:  1538.7
      - region: .surface
        bc_type: inflow
        bc_conc: -13.3414381275409 
        time:  1565 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -13.3414381275409 
        time:  1565
      - region: .surface
        bc_type: inflow
        bc_conc: -8.72689286232019 
        time:  1595 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -8.72689286232019 
        time:  1595
      - region: .surface
        bc_type: inflow
        bc_conc: -8.04992204596797 
        time:  1626 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -8.04992204596797 
        time:  1626
      - region: .surface
        bc_type: inflow
        bc_conc: -7.87742297218515 
        time:  1656 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -7.87742297218515 
        time:  1656
      - region: .surface
        bc_type: inflow
        bc_conc: -10.2128071161198 
        time:  1687 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -10.2128071161198 
        time:  1687
      - region: .surface
        bc_type: inflow
        bc_conc: -11.6713228105037 
        time:  1718 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -11.6713228105037 
        time:  1718
      - region: .surface
        bc_type: inflow
        bc_conc: -9.86934072045451 
        time:  1748 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -9.86934072045451 
        time:  1748
      - region: .surface
        bc_type: inflow
        bc_conc: -14.2978771531529 
        time:  1779 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -14.2978771531529 
        time:  1779
      - region: .surface
        bc_type: inflow
        bc_conc: -15.8377949082374 
        time:  1809 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -15.8377949082374 
        time:  1809
      - region: .surface
        bc_type: inflow
        bc_conc: -11.3421391153446 
        time:  1840 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -11.3421391153446 
        time:  1840
      - region: .surface
        bc_type: inflow
        bc_conc: -12.8651059130679 
        time:  1871 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -12.8651059130679 
        time:  1871
      - region: .surface
        bc_type: inflow
        bc_conc: -12.9335746449956 
        time:  1899 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -12.9335746449956 
        time:  1899
      - region: .surface
        bc_type: inflow
        bc_conc: -10.5114882038815 
        time:  1930 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -10.5114882038815 
        time:  1930
      - region: .surface
        bc_type: inflow
        bc_conc: -8.1915576484319 
        time:  1960 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -8.1915576484319 
        time:  1960
      - region: .surface
        bc_type: inflow
        bc_conc: -7.615 
        time:  1991 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -7.615 
        time:  1991
      - region: .surface
        bc_type: inflow
        bc_conc: -9.10695376711881 
        time:  2021 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -9.10695376711881 
        time:  2021
      - region: .surface
        bc_type: inflow
        bc_conc: -6.36307003459333 
        time:  2052 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -6.36307003459333 
        time:  2052
      - region: .surface
        bc_type: inflow
        bc_conc: -10.0023045729445 
        time:  2083 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -10.0023045729445 
        time:  2083
      - region: .surface
        bc_type: inflow
        bc_conc: -7.92139511456892 
        time:  2113 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -7.92139511456892 
        time:  2113
      - region: .surface
        bc_type: inflow
        bc_conc: -10.62 
        time:  2144 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -10.62 
        time:  2144
      - region: .surface
        bc_type: inflow
        bc_conc: -13.2836854814491 
        time:  2174 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -13.2836854814491 
        time:  2174
      - region: .surface
        bc_type: inflow
        bc_conc: -10.5340545185486 
        time:  2205 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -10.5340545185486 
        time:  2205
      - region: .surface
        bc_type: inflow
        bc_conc: -10.1877801022309 
        time:  2236 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -10.1877801022309 
        time:  2236
      - region: .surface
        bc_type: inflow
        bc_conc: -10.2034636640187 
        time:  2265 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -10.2034636640187 
        time:  2265
      - region: .surface
        bc_type: inflow
        bc_conc: -11.6654159380848 
        time:  2296 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -11.6654159380848 
        time:  2296
      - region: .surface
        bc_type: inflow
        bc_conc: -6.83684598412414 
        time:  2326 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -6.83684598412414 
        time:  2326
      - region: .surface
        bc_type: inflow
        bc_conc: -8.64656433876041 
        time:  2357 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -8.64656433876041 
        time:  2357
      - region: .surface
        bc_type: inflow
        bc_conc: -6.6286625986958 
        time:  2387 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -6.6286625986958 
        time:  2387
      - region: .surface
        bc_type: inflow
        bc_conc: -8.66686559280382 
        time:  2418 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -8.66686559280382 
        time:  2418
      - region: .surface
        bc_type: inflow
        bc_conc: -8.02978739303668 
        time:  2449 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -8.02978739303668 
        time:  2449
      - region: .surface
        bc_type: inflow
        bc_conc: -10.5030421536371 
        time:  2479 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -10.5030421536371 
        time:  2479
      - region: .surface
        bc_type: inflow
        bc_conc: -14.0085667593316 
        time:  2510 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -14.0085667593316 
        time:  2510
      - region: .surface
        bc_type: inflow
        bc_conc: -15.6033090929872 
        time:  2540 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -15.6033090929872 
        time:  2540
      - region: .surface
        bc_type: inflow
        bc_conc: -10.4930576974568 
        time:  2571 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -10.4930576974568 
        time:  2571
      - region: .surface
        bc_type: inflow
        bc_conc: -16.0443047958301 
        time:  2602 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -16.0443047958301 
        time:  2602
      - region: .surface
        bc_type: inflow
        bc_conc: -15.3726950625481 
        time:  2630 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -15.3726950625481 
        time:  2630
      - region: .surface
        bc_type: inflow
        bc_conc: -12.2830158803435 
        time:  2661 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -12.2830158803435 
        time:  2661
      - region: .surface
        bc_type: inflow
        bc_conc: -11.1595257627778 
        time:  2691 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -11.1595257627778 
        time:  2691
      - region: .surface
        bc_type: inflow
        bc_conc: -9.8428050529442 
        time:  2722 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -9.8428050529442 
        time:  2722
      - region: .surface
        bc_type: inflow
        bc_conc: -7.94902942853525 
        time:  2752 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -7.94902942853525 
        time:  2752
      - region: .surface
        bc_type: inflow
        bc_conc: -5.54092274032934 
        time:  2783 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -5.54092274032934 
        time:  2783
      - region: .surface
        bc_type: inflow
        bc_conc: -6.69084920340977 
        time:  2814 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -6.69084920340977 
        time:  2814
      - region: .surface
        bc_type: inflow
        bc_conc: -9.77589397769791 
        time:  2844 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -9.77589397769791 
        time:  2844
      - region: .surface
        bc_type: inflow
        bc_conc: -11.9109228920527 
        time:  2875 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -11.9109228920527 
        time:  2875
      - region: .surface
        bc_type: inflow
        bc_conc: -9.40315380318305 
        time:  2905 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -9.40315380318305 
        time:  2905
      - region: .surface
        bc_type: inflow
        bc_conc: -17.4544232099153 
        time:  2936 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -17.4544232099153 
        time:  2936
      - region: .surface
        bc_type: inflow
        bc_conc: -11.9565148537126 
        time:  2967 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -11.9565148537126 
        time:  2967
      - region: .surface
        bc_type: inflow
        bc_conc: -12.2433126309617 
        time:  2995 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -12.2433126309617 
        time:  2995
      - region: .surface
        bc_type: inflow
        bc_conc: -10.559323168167 
        time:  3026 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -10.559323168167 
        time:  3026
      - region: .surface
        bc_type: inflow
        bc_conc: -8.42619992163723 
        time:  3056 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -8.42619992163723 
        time:  3056
      - region: .surface
        bc_type: inflow
        bc_conc: -11.0232771691435 
        time:  3087 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -11.0232771691435 
        time:  3087
      - region: .surface
        bc_type: inflow
        bc_conc: -7.68226196698598 
        time:  3117 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -7.68226196698598 
        time:  3117
      - region: .surface
        bc_type: inflow
        bc_conc: -9.56192764575261 
        time:  3148 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -9.56192764575261 
        time:  3148
      - region: .surface
        bc_type: inflow
        bc_conc: -9.22992546754821 
        time:  3179 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -9.22992546754821 
        time:  3179
      - region: .surface
        bc_type: inflow
        bc_conc: -10.95 
        time:  3209 
      - region: .f_surface
        bc_type: inflow
        bc_conc: -10.95 
        time:  3209
      solver: !Petsc
        a_tol: 1.0e-07
        r_tol: 1.0e-07
    substances:
      - conc
    time: *anchor2
    balance:
      cumulative: true
    output_stream: 
      file: ./tran.msh
      format: !gmsh
        variant: ascii
      times:
      - step: 30.437